Bug 1291925 - [gtk3] missing drag indicator for toolbars
[gtk3] missing drag indicator for toolbars
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 17:15 EST by Christian Stadelmann
Modified: 2015-12-24 19:25 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-5.0.4.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 19:25:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-12-15 17:15:09 EST
Description of problem:
With Gtk2 toolbars have a indicator when being dragged. With the new Gtk3 backend they don't.

Version-Release number of selected component (if applicable):
libreoffice-gtk3-5.0.3.2-12.fc23.x86_64

How reproducible:
always, on both wayland and X11

Steps to Reproduce:
1. open libreoffice
2. drag and move a toolbar from main window

Actual results, this is what's happening with Gtk3:
Neither toolbar nor a frame are drawn. You don't see what it will look like when you drag and drop a toolbar.

Expected results, this is what's happening with Gtk2:
You can see a transparent frame with thick shaded border. It has the same bounds (size) as the toolbar you are dragging, but the toolbar itself isn't drawn.
Comment 1 Caolan McNamara 2015-12-16 05:08:02 EST
This is the SAL_INVERT_TRACK_FRAME thing which I implemented upstream last week
Comment 2 Fedora Update System 2015-12-20 15:46:19 EST
libreoffice-5.0.4.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-98c92e275f
Comment 3 Fedora Update System 2015-12-22 19:11:33 EST
libreoffice-5.0.4.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-98c92e275f
Comment 4 Fedora Update System 2015-12-24 19:25:12 EST
libreoffice-5.0.4.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.